В рамках программы информирования банковского сообщества о значимых угрозах безопасности компания Digital Security, специализирующаяся на анализе защищенности систем, предупредила об обнаружении критической уязвимости в FTP-сервере ProFTPD, позволяющей копировать файлы в пределах одного сервера без аутентификации. Уязвимыми являются команды site cpfr и site cpto в модуле mod_copy, который можно отключить только во время сборки. Поскольку ProFTPD часто используется на боевых серверах, Digital Security рекомендует как можно скорее проверить ресурсы на наличие данной проблемы и своевременно устранить ее.

Используя указанную уязвимость, злоумышленник может копировать недоступные извне файлы в директорию веб-сервера, чтобы потом скачать их. Также атакующий способен перенаправить поток ошибок FTP-сервера в файл, что может привести к выполнению произвольного PHP-кода. При определенных условиях, злоумышленник с помощью уязвимостей получает возможность скопировать различные настройки, файлы базы данных. Под угрозой находятся данные тысяч пользователей.

Уязвимость была обнаружена одним из российских исследователей. На данный момент исправление уязвимости доступно только в виде патча и еще не попало в репозитории популярных дистрибутивов. Этот патч не только исправляет уязвимость, но и дает возможность отключать модуль в конфигурационном файле.

Пресс-релиз

Версия для печати